/*EXAMPLE REXXHOOK SCRIPT ____________________________________________________
  DESCRIPTION ________________________________________________________________
  This script let you limit the number for sessions to one FTPd service from
  one specific host.

  CONFIGURATION ______________________________________________________________
  You need to set "LimitSameHost=#" in the correct FTP section of your config
  file. This script will default to 2 connections if that variable is not set.
   
  RETURN VALUE _______________________________________________________________
  This script should return a full FTP response line to reject the login.
  The response line should be according to FTP standards defined.
  ____________________________________________________________________________*/
PARSE ARG Session Arguments;

PARSE VALUE ipsVAR(Session, "%(remoteip)|%(configfile)|%(configsection)|"), 
  WITH remoteip"|"configfile"|"configsection"|";
PARSE VALUE ipsCFG(Session, configfile, configsection, "LimitSameHost"),
  WITH LimitSameHost;
  
IF (LimitSameHost <= 0) THEN 
  LimitSameHost = 2;
  
CurrentSession = ipsVAR(Session, "%(sock.first)");
CountHosts = 0

DO WHILE (CurrentSession > 0)
  IF (ipsVAR(CurrentSession, "%(remoteip)") = remoteip ) &, 
     (CurrentSession <> Session) THEN
    CountHosts = CountHosts + 1
    
  CurrentSession = ipsVAR(CurrentSession, "%(sock.next)");
END;

IF (CountHosts >= LimitSameHost) THEN 
  RETURN "421 No more connections accepted from "remoteip", try again later.";
/*____________________________________________________________________________*/